Eclipse Platform Release 3.7

## org.eclipse.ui
Interface INavigationLocationProvider

All Known Implementing Classes:
  AbstractDecoratedTextEditor, AbstractTextEditor, StatusTextEditor, TextEditor

    public interface INavigationLocationProvider

Should be implemented by editors that wish to contribute to the navigation history. The message `createNavigationLocation` will be sent when a new location is marked in the history.

Since:
  2.1

Method Summary
`INavigationLocation` `createEmptyNavigationLocation()` Creates an empty navigation location.
`INavigationLocation` `createNavigationLocation()` Creates a navigation location describing the current state.

Method Detail

### createEmptyNavigationLocation

    INavigationLocation createEmptyNavigationLocation()

  Creates an empty navigation location. The message `restoreState` will be sent to the location to restore its state.

  Returns:
    INavigationLocation

### createNavigationLocation

    INavigationLocation createNavigationLocation()

  Creates a navigation location describing the current state.

  Returns:
    INavigationLocation

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.